summaryrefslogtreecommitdiff
path: root/.config/xmonad/xmonad_keys.sh
diff options
context:
space:
mode:
authorThanosApollo <[email protected]>2022-10-12 12:58:00 +0300
committerThanosApollo <[email protected]>2022-10-12 12:58:00 +0300
commit6476ac80e8959bb8034a0a2860023d8eb2ac8375 (patch)
treec5b5eaaad7e66e913f65f1bd19c45d70963a72a6 /.config/xmonad/xmonad_keys.sh
parent65a2b283f6b5c51809ed2fd257532f7fe55075ec (diff)
Update xmonad system and zsh
Diffstat (limited to '.config/xmonad/xmonad_keys.sh')
-rwxr-xr-x.config/xmonad/xmonad_keys.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/.config/xmonad/xmonad_keys.sh b/.config/xmonad/xmonad_keys.sh
new file mode 100755
index 0000000..f9d9b3a
--- /dev/null
+++ b/.config/xmonad/xmonad_keys.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+
+sed -n '/START_KEYS/,/END_KEYS/p' ~/.xmonad/xmonad.hs | \
+ grep -e ', ("' \
+ -e '\[ (' \
+ -e 'KB_GROUP' | \
+ grep -v '\-\- , ("' | \
+ sed -e 's/^[ \t]*//' \
+ -e 's/, (/(/' \
+ -e 's/\[ (/(/' \
+ -e 's/-- KB_GROUP /\n/' \
+ -e 's/", /"\t: /' | \
+ yad --text-info --back=#282c34 --fore=#46d9ff --geometry=1200x800